Debian Bug report logs - #638991
FTBFS: error: 'gdk_display' undeclared (first use in this function)

version graph

Package: devilspie; Maintainer for devilspie is Debian QA Group <packages@qa.debian.org>; Source for devilspie is src:devilspie.

Reported by: Philipp Kern <pkern@debian.org>

Date: Tue, 23 Aug 2011 14:51:01 UTC

Severity: serious

Tags: patch, sid

Found in version devilspie/0.22-1

Fixed in version devilspie/0.22-2

Done: Andreas Rönnquist <gusnan@gusnan.se>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#638991; Package devilspie. (Tue, 23 Aug 2011 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
New Bug report received and forwarded. Copy sent to Ross Burton <ross@debian.org>. (Tue, 23 Aug 2011 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: error: 'gdk_display' undeclared (first use in this function)
Date: Tue, 23 Aug 2011 16:46:55 +0200
Package: devilspie
Version: 0.22-1
Severity: serious

If I rebuild the package in sid I get the following error (and on s390x too):

| make[3]: Entering directory `/tmp/buildd/devilspie-0.22/src'
| gcc -DHAVE_CONFIG_H -I.  -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/libwnck-1.0 -I/usr/include/startup-notification-1.0   -DLOCALEDIR=\""/usr/share/locale"\" -DSYSCONFDIR=\""/etc"\" -DDATADIR=\""/usr/share"\" -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DWNCK_I_KNOW_THIS_IS_UNSTABLE  -Wall -Wmissing-prototypes  -g -O2 -g -O2 -Wall -c devilspie.c
| gcc -DHAVE_CONFIG_H -I.  -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/libwnck-1.0 -I/usr/include/startup-notification-1.0   -DLOCALEDIR=\""/usr/share/locale"\" -DSYSCONFDIR=\""/etc"\" -DDATADIR=\""/usr/share"\" -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DWNCK_I_KNOW_THIS_IS_UNSTABLE  -Wall -Wmissing-prototypes  -g -O2 -g -O2 -Wall -c xutils.c
| xutils.c: In function 'my_wnck_atom_get':
| xutils.c:43:29: error: 'gdk_display' undeclared (first use in this function)
| xutils.c:43:29: note: each undeclared identifier is reported only once for each function it appears in
| xutils.c: In function 'my_wnck_change_state':
| xutils.c:79:25: error: 'gdk_display' undeclared (first use in this function)
| xutils.c: In function 'my_wnck_error_trap_pop':
| xutils.c:103:10: error: 'gdk_display' undeclared (first use in this function)
| xutils.c: In function 'my_wnck_get_string_property_latin1':
| xutils.c:125:32: error: 'gdk_display' undeclared (first use in this function)
| xutils.c: In function 'my_wnck_window_get_xscreen':
| xutils.c:182:25: error: 'gdk_display' undeclared (first use in this function)
| xutils.c: In function 'my_wnck_get_cardinal_list':
| xutils.c:205:32: error: 'gdk_display' undeclared (first use in this function)
| xutils.c: In function 'my_wnck_get_cardinal':
| xutils.c:245:32: error: 'gdk_display' undeclared (first use in this function)
| make[3]: *** [xutils.o] Error 1
| make[3]: Leaving directory `/tmp/buildd/devilspie-0.22/src'
| make[2]: *** [all] Error 2
| make[2]: Leaving directory `/tmp/buildd/devilspie-0.22/src'
| make[1]: *** [all-recursive] Error 1
| make[1]: Leaving directory `/tmp/buildd/devilspie-0.22'
| make: *** [debian/stamp-makefile-build] Error 2
| dpkg-buildpackage: error: debian/rules build gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#638991; Package devilspie. (Sun, 11 Sep 2011 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Rönnquist <gusnan@gusnan.se>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Sun, 11 Sep 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 638991@bugs.debian.org (full text, mbox):

From: Andreas Rönnquist <gusnan@gusnan.se>
To: 638991@bugs.debian.org
Subject: Fix gdk_display FTBFS
Date: Mon, 12 Sep 2011 01:47:02 +0200
[Message part 1 (text/plain, inline)]
I have prepared a patch which I believe fixes this:
(I have simply replaced the gdk_display calls with
GDK_DISPLAY_XDISPLAY(gdk_display_get_default())
)

best regards
[fix_gdk_display_ftbfs.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Mon, 12 Sep 2011 00:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#638991; Package devilspie. (Mon, 12 Sep 2011 04:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Rönnquist <gusnan@gusnan.se>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Mon, 12 Sep 2011 04:15:04 GMT) Full text and rfc822 format available.

Message #17 received at 638991@bugs.debian.org (full text, mbox):

From: Andreas Rönnquist <gusnan@gusnan.se>
To: 638991@bugs.debian.org
Subject: Better patch
Date: Mon, 12 Sep 2011 06:11:17 +0200
[Message part 1 (text/plain, inline)]
I found that you can use gdk_x11_get_default_xdisplay instead - Which
results in a shorter patch (attached).

(I have replaced both the deprecated gdk_display and GDK_DISPLAY() in
the code).
[fix_gdk_display_ftbfs.patch (text/x-patch, attachment)]

Reply sent to Andreas Rönnquist <gusnan@gusnan.se>:
You have taken responsibility. (Wed, 21 Sep 2011 03:33:05 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Wed, 21 Sep 2011 03:33:05 GMT) Full text and rfc822 format available.

Message #22 received at 638991-close@bugs.debian.org (full text, mbox):

From: Andreas Rönnquist <gusnan@gusnan.se>
To: 638991-close@bugs.debian.org
Subject: Bug#638991: fixed in devilspie 0.22-2
Date: Wed, 21 Sep 2011 03:32:11 +0000
Source: devilspie
Source-Version: 0.22-2

We believe that the bug you reported is fixed in the latest version of
devilspie, which is due to be installed in the Debian FTP archive:

devilspie_0.22-2.debian.tar.gz
  to main/d/devilspie/devilspie_0.22-2.debian.tar.gz
devilspie_0.22-2.dsc
  to main/d/devilspie/devilspie_0.22-2.dsc
devilspie_0.22-2_amd64.deb
  to main/d/devilspie/devilspie_0.22-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638991@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Rönnquist <gusnan@gusnan.se> (supplier of updated devilspie package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 21 Sep 2011 01:02:59 +0200
Source: devilspie
Binary: devilspie
Architecture: source amd64
Version: 0.22-2
Distribution: unstable
Urgency: low
Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
Changed-By: Andreas Rönnquist <gusnan@gusnan.se>
Description: 
 devilspie  - find windows and perform actions on them
Closes: 554305 638991 642262
Changes: 
 devilspie (0.22-2) unstable; urgency=low
 .
   * New maintainer (closes: #642262)
   * Convert to source format 3.0 (quilt)
   * Update debhelper compatibility level to 7
   * Update standards version to 3.9.2
   * Fix deprecated functions causing FTBFS
     - fix_gdk_display_ftbfs.patch (closes: #638991)
   * Fix FTBFS with binutils-gold
     - fix_ftbfs_with_binutils_gold.patch (closes: #554305)
     - add dependency on libx11-dev
   * debian/control: Add homepage field
   * debian/copyright:
     - Fix copyright refers to versionless license file
     - Fix copyright without copyright notice
   * debian/NEWS:
     - Fix debian-news-entry-uses-asterisk
Checksums-Sha1: 
 9eea1395eb1b60e3198eae10155865532c66313b 1144 devilspie_0.22-2.dsc
 6aaabb0376af868aa437c8c265a524c17aaedca0 4896 devilspie_0.22-2.debian.tar.gz
 3561faa9bdb5e5028aabacdd12f73350acdb0cf9 38774 devilspie_0.22-2_amd64.deb
Checksums-Sha256: 
 a7a2755850290cae56dd06879f5c69f7df69e7bfe894593d1cf89afd44812ae3 1144 devilspie_0.22-2.dsc
 5b5d03db8b6bbe3ee81dd6115ce57a820a5d00039579cec7251b2414622d9180 4896 devilspie_0.22-2.debian.tar.gz
 dff2ad9af9840e00452f67523723b7c0c3f634a94df2b2753c1e506ec842eb9a 38774 devilspie_0.22-2_amd64.deb
Files: 
 c14fecfdf6664a2c765cebd4975dd489 1144 gnome optional devilspie_0.22-2.dsc
 790f4e54178148701dab9a83c375e76c 4896 gnome optional devilspie_0.22-2.debian.tar.gz
 dd7662060c13eb237df88d8b10820963 38774 gnome optional devilspie_0.22-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk55WW4ACgkQ5Sc9mGvjxCPjGgCgyUGq5vDZQX+JGdhYXU6gmTYH
NGIAn3LNeUXbrSHrbXab9n7M34QdhsNn
=0UpB
-----END PGP SIGNATURE-----





Added tag(s) squeeze and sid. Request was from peter green <peter.green@postgrad.manchester.ac.uk> to control@bugs.debian.org. (Sat, 15 Oct 2011 00:45:03 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze. Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Mon, 17 Oct 2011 23:33:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:42:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:30:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.